#
# spec file for package perl-MLDBM-Sync
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MLDBM-Sync
%define cpan_name MLDBM-Sync
BuildRequires:  dos2unix
BuildRequires:  perl-MLDBM
BuildRequires:  perl-Tie-Cache
BuildRequires:  perl-macros
Version:        0.30
Release:        408.198
Requires:       perl-MLDBM
Requires:       perl-Tie-Cache
Url:            http://cpan.org/modules/by-module/MLDBM
Summary:        Perl module for safe concurrent access to MLDBM databases
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Source:         MLDBM-Sync-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module wraps around the MLDBM interface, by handling concurrent
access to MLDBM databases with file locking, and flushes i/o explicity
per lock/unlock. The new [Read]Lock()/UnLock() API can be used to
serialize requests logically and improve performance for bundled reads
& writes.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}
dos2unix CHANGES

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES Makefile README

%changelog
* Mon Sep  9 2013 coolo@suse.com
- switch to perl-macros to fix build
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Mar 13 2008 anicka@suse.cz
- fix permissions of documentation files, convert CRLF
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 22 2003 mjancar@suse.cz
- adapt to perl-5.8.1
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
* Thu May 22 2003 mjancar@suse.cz
- remove unpackaged files
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 prehak@suse.cz
- update to version 0.30
- added bench to documentation
- fixed file permissions, used %%{perl_sitearch} macro
* Thu Dec 13 2001 cihlar@suse.cz
- initial version 0.25
